summaryrefslogtreecommitdiffstats
path: root/ruby/ruby-gtk2
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2011-03-16 00:48:27 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-03-20 12:32:51 -0500
commit987d45e99a299c3b24418b2976e8ec9d5f3bf404 (patch)
tree2e1a731642cf7dc9e4e620bad0a425418f33d36e /ruby/ruby-gtk2
parent93ba4df5022a8c4d422dd97a2a13ffa8a8946453 (diff)
downloadslackbuilds-987d45e99a299c3b24418b2976e8ec9d5f3bf404.tar.gz
slackbuilds-987d45e99a299c3b24418b2976e8ec9d5f3bf404.tar.xz
ruby/*: Moved all (or at least most) Ruby stuff to here
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'ruby/ruby-gtk2')
-rw-r--r--ruby/ruby-gtk2/README8
-rw-r--r--ruby/ruby-gtk2/ruby-gtk2.SlackBuild56
-rw-r--r--ruby/ruby-gtk2/ruby-gtk2.info10
-rw-r--r--ruby/ruby-gtk2/slack-desc19
4 files changed, 93 insertions, 0 deletions
diff --git a/ruby/ruby-gtk2/README b/ruby/ruby-gtk2/README
new file mode 100644
index 0000000000..739f55c30b
--- /dev/null
+++ b/ruby/ruby-gtk2/README
@@ -0,0 +1,8 @@
+ruby-gtk2 (ruby bindings for gtk2)
+
+This is a subset of the Ruby-GNOME2 project. Ruby-GNOME2 is a set of
+Ruby language bindings for the GNOME 2.0 development environment.
+This is the next generation of Ruby-GNOME.
+
+Included libraries are Ruby/GLib2, Ruby/ATK, Ruby/Pango, Ruby/GdkPixbuf2,
+and Ruby/GTK2.
diff --git a/ruby/ruby-gtk2/ruby-gtk2.SlackBuild b/ruby/ruby-gtk2/ruby-gtk2.SlackBuild
new file mode 100644
index 0000000000..e4f3fcf159
--- /dev/null
+++ b/ruby/ruby-gtk2/ruby-gtk2.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# Slackware build script for ruby-gtk2
+
+# Written by Vincent Batts, vbatts@hashbangbash.com
+
+PRGNAM=ruby-gtk2
+VERSION=${VERSION:-0.19.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+ruby extconf.rb
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING.LIB ChangeLog NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ruby/ruby-gtk2/ruby-gtk2.info b/ruby/ruby-gtk2/ruby-gtk2.info
new file mode 100644
index 0000000000..43cec1c97e
--- /dev/null
+++ b/ruby/ruby-gtk2/ruby-gtk2.info
@@ -0,0 +1,10 @@
+PRGNAM="ruby-gtk2"
+VERSION="0.19.3"
+HOMEPAGE="http://ruby-gnome2.sourceforge.jp/"
+DOWNLOAD="http://downloads.sourceforge.net/sourceforge/ruby-gnome2/ruby-gtk2-0.19.3.tar.gz"
+MD5SUM="a8f8dac03008d7c6397a3fe225ef5929"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="rworkman"
diff --git a/ruby/ruby-gtk2/slack-desc b/ruby/ruby-gtk2/slack-desc
new file mode 100644
index 0000000000..b3387142ef
--- /dev/null
+++ b/ruby/ruby-gtk2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ruby-gtk2: ruby-gtk2 (ruby bindings for gtk2)
+ruby-gtk2:
+ruby-gtk2: This is a subset of the Ruby-GNOME2 project. Ruby-GNOME2 is a set of
+ruby-gtk2: Ruby language bindings for the GNOME 2.0 development environment.
+ruby-gtk2:
+ruby-gtk2: This is the next generation of Ruby-GNOME.
+ruby-gtk2:
+ruby-gtk2: Homepage: http://ruby-gnome2.sourceforge.jp/
+ruby-gtk2:
+ruby-gtk2:
+ruby-gtk2: